org.apache.commons.logging.impl

## Class SimpleLog

- java.lang.Object
- - org.apache.commons.logging.impl.NoOpLog
  - - org.apache.commons.logging.impl.SimpleLog

All Implemented Interfaces:
  Serializable, Log

Deprecated.
in `spring-jcl` (effectively equivalent to `NoOpLog`)

    @Deprecated
    public class SimpleLog
    extends NoOpLog

Originally a simple Commons Logging provider configured by system properties. Deprecated in `spring-jcl`, effectively equivalent to `NoOpLog`.

Instead of instantiating this directly, call `LogFactory#getLog(Class/String)` which will fall back to `java.util.logging` if neither Log4j nor SLF4J are present.

Since:
  5.0
Author:
  Juergen Hoeller (for the `spring-jcl` variant)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SimpleLog(String name)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.commons.logging.impl.NoOpLog

`debug, debug, error, error, fatal, fatal, info, info, isDebugEnabled, isErrorEnabled, isFatalEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleLog

    public SimpleLog(String name)

Deprecated.